Subject: bug#64596: 30.0.50; On FIXME: in src/buffer.c:1481 (force-mode-line-update)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Jul 2023 05:23:46 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 16 Jul 2023 20:12:34 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Actually, the must_be_updated_p flag is not for xdisp.c, i.e. not for
> > redisplay_window and its subroutines.  It is for update_window, which
> > is the last, 3rd, stage of a redisplay cycle, most of the code of
> > which is in dispnew.c.  That's where the newly computed glyph matrix
> > of a window is compared to its current matrix, and Emacs decides what,
> > if anything, should be actually written to the glass.  What happens
> > with this flag is that redisplay_window and friends _set_ this flag
> > for windows that dispnew.c _must_ update.  The flag is tested in
> > dispnew.c, see there for its use and comments.
> 
> I see.
> 
> I have to say that these flag names are very disorienting.
> I have first seen this flag while reading xdisp.c, and it was not obvious
> at all what it does.

Well, update_frame and update_window are the relevant functions in
dispnew.c, so "must_be_updated_p" kind-of points to them.